Channels
List promotions
GET
Scope: channels:read
apiKeyheader
AuthorizationBearer <ik_live_…>An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.
id*stringOK
application/json- response
[key: string]?anyExample Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/promotions'Example Response
{ "channel": { "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d", "name": "E2E Ad Channel India", "today": "2026-10-30", "dayparts": [ "E2E Weekday", "E2E Weekend" ] }, "promotions": [], "counts": { "total": 0, "active": 0, "paused": 0, "ended": 0, "inert": 0 }}